cancel
Showing results for 
Search instead for 
Did you mean: 

Usage type EPC cannot be upgrade error in PI 7.11 upgrade

Former Member
0 Kudos
73

Hi all,

We are in process of upgrading PI 7.0 to PI 7.11 with EHP1, we are getting error " Usage type EPC cannot be upgraded ".

We have observed EPC usage type is installed in PI 7.0 the below is the log.

Database...........: Microsoft SQL Server

Operating System...: NT

JDK version........: 1.5.0_12 SAP AG

SAPJup version.....: 2.1.19

Source release.....: 700

Target release.....: 710

Start release SP...: $(/J2EE/StandardSystem/SPLevel)

Target release SP..: $(/J2EE/ShadowSystem/SPLevel)

Current usages.....: AS;EPC;PI;AAS;AAS

ABAP stack present.: true

The execution of PREPARE/INIT/CHECK_SUPPORTED_SOURCE_USAGES ended in error.

This upgrade doesn't support upgrade of sap.com/EPC usage detected on the source system.

Use the information provided to trouble-shoot the problem. There might be an OSS note providing a solution to this problem. Search for OSS notes with the following search terms:

com.sap.sdt.j2ee.phases.PhaseTypeCheckSupportedSourceUsages

com.sap.sdt.j2ee.tools.check.NegativeResultException

This upgrade doesn't support upgrade of sap.com/EPC usage detected on the source system.

CHECK_SUPPORTED_SOURCE_USAGES

INIT

PREPARE

NetWeaver Upgrade

SAPJup

Java Upgrade

Please suggest.. how we can proceed now...

Thanks,

Subhash.G

Accepted Solutions (0)

Answers (1)

Answers (1)

Former Member
0 Kudos

Hi Subash -

As suggested in the error description, search for OSS notes to resolve the issue. Check whether the PI 7.1x upgrade FAQ Note (1462691) has any leads to solve your issue.

Regards,

TK

Former Member
0 Kudos

Hi,

There is no documentation for deletion of Usage types in PI 7.1 upgrade doc nor in any Snotes.

The only process we have identified is to remove each SDA file from SDM which are releated to EPC USAGE type which is uncertain .

Please suggest is there is any safe process to remove the USAGE type.

We have the message with SAP also, waiting for there reply.

Thanks,

Subhash.G

Former Member
0 Kudos

Hi Subhash -

Although you can use one system for multiple usage types (EPC & PI in your case), this might cause an issue during PI upgrade as the upgrade requires a dedicated PI source system (no EPC, EP or BI). Unfortunately, SAP doesn't provide a tool to separate usage types into multiple systems.

Regards,

TK

0 Kudos

Hi,

We have the same issue. SAP told us now to install a new PI 7.11 and then "migrate" the data using CTS+. Does anyone have any knowledge/documentation how to do this ?

kind regards,

Eddy